Data

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
GET
POST
GET
PATCH
DELETE
GET
POST
GET
PATCH
DELETE
GET
POST
POST
GET
POST
POST
POST

Retrieve external data sources wizard

Create, Read, Update and Delete External data Sources.

Required API key scopes

external_data_source:read

Example request

GET /api/projects/:project_id/external_data_sources/wizard
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/external_data_sources/wizard/

Example response

Status 200 No response body

List all insight variables

Required API key scopes

insight_variable:read

Query parameters

  • page
    integer

Response


Example request

GET /api/projects/:project_id/insight_variables
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/insight_variables/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "String",
"default_value": null,
"created_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"code_name": "string",
"values": null
}
]
}

Create insight variables

Required API key scopes

insight_variable:write

Request parameters

  • name
    string
  • type
  • default_value
  • values

Response


Example request

POST /api/projects/:project_id/insight_variables
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/insight_variables/\
-d name="string",\
-d type=undefined

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "String",
"default_value": null,
"created_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"code_name": "string",
"values": null
}

Retrieve insight variables

Required API key scopes

insight_variable:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/insight_variables/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/insight_variables/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "String",
"default_value": null,
"created_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"code_name": "string",
"values": null
}

Update insight variables

Required API key scopes

insight_variable:write

Path parameters

  • id
    string

Request parameters

  • name
    string
  • type
  • default_value
  • values

Response


Example request

PATCH /api/projects/:project_id/insight_variables/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/insight_variables/:id/\
-d name="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "String",
"default_value": null,
"created_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"code_name": "string",
"values": null
}

Delete insight variables

Required API key scopes

insight_variable:write

Path parameters

  • id
    string

Example request

DELETE /api/projects/:project_id/insight_variables/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/insight_variables/:id/

Example response

Status 204 No response body

List all warehouse saved queries

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_view:read

Query parameters

  • page
    integer
  • search
    string

Response


Example request

GET /api/projects/:project_id/warehouse_saved_queries
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}
]
}

Create warehouse saved queries

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_view:write

Request parameters

  • deleted
    booleannull
  • name
    string
  • query
    object
  • folder_id
    stringnull
  • edited_history_id
    stringnull
  • soft_update
    booleannull
  • dag_id
    stringnull
  • is_test
    boolean

Response


Example request

POST /api/projects/:project_id/warehouse_saved_queries
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/\
-d name="string",\
-d query="object"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"query": {
"kind": "HogQLQuery",
"query": "string"
},
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"edited_history_id": "string",
"latest_history_id": 0,
"soft_update": true,
"dag_id": "42728853-0f3b-405e-82ac-865eb391bcdb",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}

Retrieve warehouse saved queries

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_view:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/warehouse_saved_queries/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"query": {
"kind": "HogQLQuery",
"query": "string"
},
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"edited_history_id": "string",
"latest_history_id": 0,
"soft_update": true,
"dag_id": "42728853-0f3b-405e-82ac-865eb391bcdb",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}

Update warehouse saved queries

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_view:write

Path parameters

  • id
    string

Request parameters

  • deleted
    booleannull
  • name
    string
  • query
    object
  • folder_id
    stringnull
  • edited_history_id
    stringnull
  • soft_update
    booleannull
  • dag_id
    stringnull
  • is_test
    boolean

Response


Example request

PATCH /api/projects/:project_id/warehouse_saved_queries/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/:id/\
-d deleted=["boolean","null"]

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"query": {
"kind": "HogQLQuery",
"query": "string"
},
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"edited_history_id": "string",
"latest_history_id": 0,
"soft_update": true,
"dag_id": "42728853-0f3b-405e-82ac-865eb391bcdb",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}

Delete warehouse saved queries

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_view:write

Path parameters

  • id
    string

Example request

DELETE /api/projects/:project_id/warehouse_saved_queries/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/:id/

Example response

Status 204 No response body

Retrieve warehouse saved queries activity

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

activity_log:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/warehouse_saved_queries/:id/activity
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/:id/activity/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"query": {
"kind": "HogQLQuery",
"query": "string"
},
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"edited_history_id": "string",
"latest_history_id": 0,
"soft_update": true,
"dag_id": "42728853-0f3b-405e-82ac-865eb391bcdb",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}

Create warehouse saved queries ancestors

Return the ancestors of this saved query.

By default, we return the immediate parents. The level parameter can be used to look further back into the ancestor tree. If level overshoots (i.e. points to only ancestors beyond the root), we return an empty list.

Path parameters

  • id
    string

Request parameters

  • deleted
    booleannull
  • name
    string
  • query
    object
  • folder_id
    stringnull
  • edited_history_id
    stringnull
  • soft_update
    booleannull
  • dag_id
    stringnull
  • is_test
    boolean

Response


Example request

POST /api/projects/:project_id/warehouse_saved_queries/:id/ancestors
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/:id/ancestors/\
-d name="string",\
-d query="object"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"query": {
"kind": "HogQLQuery",
"query": "string"
},
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"edited_history_id": "string",
"latest_history_id": 0,
"soft_update": true,
"dag_id": "42728853-0f3b-405e-82ac-865eb391bcdb",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}

Create warehouse saved queries cancel

Cancel a running saved query workflow.

Path parameters

  • id
    string

Request parameters

  • deleted
    booleannull
  • name
    string
  • query
    object
  • folder_id
    stringnull
  • edited_history_id
    stringnull
  • soft_update
    booleannull
  • dag_id
    stringnull
  • is_test
    boolean

Response


Example request

POST /api/projects/:project_id/warehouse_saved_queries/:id/cancel
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/:id/cancel/\
-d name="string",\
-d query="object"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"query": {
"kind": "HogQLQuery",
"query": "string"
},
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"edited_history_id": "string",
"latest_history_id": 0,
"soft_update": true,
"dag_id": "42728853-0f3b-405e-82ac-865eb391bcdb",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}

Retrieve warehouse saved queries dependencies

Return the count of immediate upstream and downstream dependencies for this saved query.

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/warehouse_saved_queries/:id/dependencies
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/:id/dependencies/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"query": {
"kind": "HogQLQuery",
"query": "string"
},
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"edited_history_id": "string",
"latest_history_id": 0,
"soft_update": true,
"dag_id": "42728853-0f3b-405e-82ac-865eb391bcdb",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}

Create warehouse saved queries descendants

Return the descendants of this saved query.

By default, we return the immediate children. The level parameter can be used to look further ahead into the descendants tree. If level overshoots (i.e. points to only descendants further than a leaf), we return an empty list.

Path parameters

  • id
    string

Request parameters

  • deleted
    booleannull
  • name
    string
  • query
    object
  • folder_id
    stringnull
  • edited_history_id
    stringnull
  • soft_update
    booleannull
  • dag_id
    stringnull
  • is_test
    boolean

Response


Example request

POST /api/projects/:project_id/warehouse_saved_queries/:id/descendants
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/:id/descendants/\
-d name="string",\
-d query="object"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"query": {
"kind": "HogQLQuery",
"query": "string"
},
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"edited_history_id": "string",
"latest_history_id": 0,
"soft_update": true,
"dag_id": "42728853-0f3b-405e-82ac-865eb391bcdb",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}

Create warehouse saved queries materialize

Enable materialization for this saved query with a 24-hour sync frequency.

Required API key scopes

warehouse_view:write

Path parameters

  • id
    string

Request parameters

  • deleted
    booleannull
  • name
    string
  • query
    object
  • folder_id
    stringnull
  • edited_history_id
    stringnull
  • soft_update
    booleannull
  • dag_id
    stringnull
  • is_test
    boolean

Response


Example request

POST /api/projects/:project_id/warehouse_saved_queries/:id/materialize
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/:id/materialize/\
-d name="string",\
-d query="object"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"query": {
"kind": "HogQLQuery",
"query": "string"
},
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"edited_history_id": "string",
"latest_history_id": 0,
"soft_update": true,
"dag_id": "42728853-0f3b-405e-82ac-865eb391bcdb",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}

Create warehouse saved queries revert materialization

Undo materialization, revert back to the original view. (i.e. delete the materialized table and the schedule)

Required API key scopes

warehouse_view:write

Path parameters

  • id
    string

Request parameters

  • deleted
    booleannull
  • name
    string
  • query
    object
  • folder_id
    stringnull
  • edited_history_id
    stringnull
  • soft_update
    booleannull
  • dag_id
    stringnull
  • is_test
    boolean

Response


Example request

POST /api/projects/:project_id/warehouse_saved_queries/:id/revert_materialization
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_saved_queries/:id/revert_materialization/\
-d name="string",\
-d query="object"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"query": {
"kind": "HogQLQuery",
"query": "string"
},
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"sync_frequency": "string",
"columns": [
{}
],
"status": "Cancelled",
"last_run_at": "2019-08-24T14:15:22Z",
"managed_viewset_kind": "string",
"folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
"folder_name": "string",
"latest_error": "string",
"edited_history_id": "string",
"latest_history_id": 0,
"soft_update": true,
"dag_id": "42728853-0f3b-405e-82ac-865eb391bcdb",
"is_materialized": true,
"origin": "data_warehouse",
"is_test": true,
"expires_at": "2019-08-24T14:15:22Z",
"user_access_level": "string"
}

Community questions

Questions about this page? or post a community question.